Rockbox Technical Forums

Rockbox Development => Starting Development and Compiling => Topic started by: taniwha on May 08, 2006, 03:53:23 AM

Title: bootloader - won't build for nano
Post by: taniwha on May 08, 2006, 03:53:23 AM
i'm following the instructions here
http://www.rockbox.org/twiki/bin/view/Main/IpodInstallationFromLinux

and i'm at step Step 3 - Install the bootloader

i do the following:
brenda@oliver:~/Desktop/rockbox$ ./ipod_fw -g nano -o rockboot.bin -i apple_os.bin bootloader-nano.bin
Generating firmware image compatible with iPod mini, 4g and iPod photo/color...

BUT! i asked for nano... i don't have a mini or 4g or photo/color..

so, what next? is it safe to use? how do i make a nano bootloader?
Title: Re: bootloader - won't build for nano
Post by: Llorean on May 08, 2006, 03:54:05 AM
That output that says it's making it for those is just a legacy bit of code. Don't worry, if you specify nano, it makes one for nano. :)
Title: Re: bootloader - won't build for nano
Post by: taniwha on May 08, 2006, 03:55:58 AM
thanks for an incredibly fast reply.... now onwards to install rockbox
:-D
Title: Re: bootloader - won't build for nano
Post by: Chronon on June 08, 2006, 08:42:13 PM
I think this is relevant, even though it's an old thread.  I just got a 2gb nano and tried to install Rockbox on it.  First I tried several times with the installer they have over at iPodWizard, but after the bootloader is installed and I re-boot to test it I get the familiar light blue screen telling me the ipod model and checksum and all that jazz.  But then it says

"Rockbox error: -5
Loading original firmware..."

So, I did it manually and meticulously following the instructions to the character.  And I still get the same thing.  I haven't found anything about a similar error code by searching the forums or on google.  Any ideas?  I would really like Rockbox on the nano as it's really a music only machine.

Edit #2:
I went through and this time I copied and pasted the entire line of text from the instructions into the CMD shell command by command.  I get the same error.

Edit #3:
Okay.  Everything is working now.  I extracted a new daily build onto nano and everything's good to go.  Sorry for the false alarm.

Edit:
I decided to download fresh versions of ipodpatcher.exe, ipod_fw.exe, and bootloader-nano.bin.  I have un-installed the previous bootloader, re-booted the ipod and am about to try it again.
Title: Re: bootloader - won't build for nano
Post by: texture46 on June 08, 2006, 11:45:16 PM
You proably forgot to put the .rockbox and rockbox.ipo in your root of your ipod?
Title: Re: bootloader - won't build for nano
Post by: Chronon on June 09, 2006, 11:50:26 AM
No, both .rockbox and rockbox.ipod were there.  I think somehow they were corrupted.  Anyway, I dropped a new daily on and it's working great.